Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.delegationDisplay
Class CDelegations

    java.lang.Object
      |
      +--com.jxml.qare.qhome.Template
            |
            +--com.jxml.qare.qhome.delegationDisplay.CDelegations

All Implemented Interfaces:
  Item

public class CDelegations
extends Template

Field Summary
`long` | `acquitionDate`
`String` | `action`
`DBApplication.Row` | `application`
`static int` | `AQUISITION_DATE`
`String[]` | `checklist`
`int` | `colNdx`
`String` | `columnHeading`
`String[]` | `columnNames`
`String` | `currentDelete`
`String` | `currentGrantor`
`String` | `currentSystem`
`static int` | `DELEGATION_COUNT`
`static int` | `DELEGATION_DEPTH`
`static int` | `DELEGATION_DISTANCE`
`static int` | `DELEGATION_LIMIT`
`DBUser.Row` | `delegee`
`static int` | `DELEGEE`
`String` | `deleteMsg`
`String` | `distance`
`DBUser.Row` | `grantor`
`static int` | `GRANTOR`
`Iterator` | `itr`
`List` | `keyList`
`String` | `munge`
`List` | `order`
`String` | `orderStr`
`int` | `pHeading`
`DBPrivilege.Row` | `privilege`
`static int` | `PRIVILEGE_NAME`
`DBProject.Row` | `project`
`static int` | `PROJECT_NAME`
`DBQList` | `qList`
`String` | `refreshInterval`
`String` | `selectedDelegee`
`String` | `selectedGrantor`
`String` | `selectedProject`
`String` | `selectedSystem`
`DelegationState` | `state`
`DBSystem.Row` | `system`
`static int` | `SYSTEM_NAME`
`DBUserDelegations.Row` | `ud`
`DBUser.Row` | `user`

Fields inherited from class com.jxml.qare.qhome.Template
`E, EV, properties`

Constructor Summary
`CDelegations()`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` Evaluates the properties with the list of argumants
`String` | `process(String arg)`
`boolean` | `refresh()`

Methods inherited from class com.jxml.qare.qhome.Template
`check, content, cvt, expand, expandProperty, expandURL, init, markup, readURL, redirectToAppDir, redirectToDelegationDisplay, redirectToDelegationDisplayUG, redirectToLogin, redirectToRemoteAccountDisplay`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DELEGEE

    public static final int DELEGEE

### SYSTEM_NAME

    public static final int SYSTEM_NAME

### PRIVILEGE_NAME

    public static final int PRIVILEGE_NAME

### PROJECT_NAME

    public static final int PROJECT_NAME

### GRANTOR

    public static final int GRANTOR

### AQUISITION_DATE

    public static final int AQUISITION_DATE

### DELEGATION_LIMIT

    public static final int DELEGATION_LIMIT

### DELEGATION_COUNT

    public static final int DELEGATION_COUNT

### DELEGATION_DEPTH

    public static final int DELEGATION_DEPTH

### DELEGATION_DISTANCE

    public static final int DELEGATION_DISTANCE

### columnNames

    public String[] columnNames

### user

    public DBUser.Row user

### ud

    public DBUserDelegations.Row ud

### application

    public DBApplication.Row application

### grantor

    public DBUser.Row grantor

### delegee

    public DBUser.Row delegee

### system

    public DBSystem.Row system

### project

    public DBProject.Row project

### privilege

    public DBPrivilege.Row privilege

### acquitionDate

    public long acquitionDate

### itr

    public Iterator itr

### action

    public String action

### state

    public DelegationState state

### munge

    public String munge

### order

    public List order

### orderStr

    public String orderStr

### keyList

    public List keyList

### colNdx

    public int colNdx

### pHeading

    public int pHeading

### refreshInterval

    public String refreshInterval

### selectedSystem

    public String selectedSystem

### currentSystem

    public String currentSystem

### selectedGrantor

    public String selectedGrantor

### currentGrantor

    public String currentGrantor

### selectedDelegee

    public String selectedDelegee

### selectedProject

    public String selectedProject

### currentDelete

    public String currentDelete

### checklist

    public String[] checklist

### distance

    public String distance

### deleteMsg

    public String deleteMsg

### qList

    public DBQList qList

### columnHeading

    public String columnHeading

Constructor Detail

### CDelegations

    public CDelegations()

Method Detail

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Description copied from class: `Template`
  Evaluates the properties with the list of argumants
  Overrides:
    `eval` in class `Template`
  Following copied from class: `com.jxml.qare.qhome.Template`
  Parameters:
    `properties` - Contains the data in the form of name,value pair.
    `args` - Template name present in properties.
    `cl` - class to be loaded for individual plugins.

### refresh

    public boolean refresh()
                    throws Exception

### process

    public String process(String arg)
                   throws Exception

  Overrides:
    `process` in class `Template`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD